org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyTag

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyTag

- All Implemented Interfaces:
    GroovyTag

      public class SimpleGroovyTag
      extends java.lang.Object
      implements GroovyTag

  Stores info about GroovyDoc tags.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGroovyTag(java.lang.String name, java.lang.String param, java.lang.String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `name()` The tag name, e.g.
    `java.lang.String` | `param()` The optional parameter for tags like "throws" and "param".
    `java.lang.String` | `text()` The text associated with the tag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleGroovyTag

          public SimpleGroovyTag(java.lang.String name,
                         java.lang.String param,
                         java.lang.String text)

  - ### Method Detail

    - #### name

          public java.lang.String name()

      Description copied from interface: `GroovyTag`
      The tag name, e.g. "deprecated", "param", "see" or "author".
      Specified by:
        `name` in interface `GroovyTag`

    - #### param

          public java.lang.String param()

      Description copied from interface: `GroovyTag`
      The optional parameter for tags like "throws" and "param".
      Specified by:
        `param` in interface `GroovyTag`

    - #### text

          public java.lang.String text()

      Description copied from interface: `GroovyTag`
      The text associated with the tag.
      Specified by:
        `text` in interface `GroovyTag`